Filter operations by attributes
curl --request GET \
--url https://api.tokenfactory.nebius.com/v1/operations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tokenfactory.nebius.com/v1/operations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tokenfactory.nebius.com/v1/operations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"params": {
"query": "SELECT * FROM {src_0} WHERE condition"
},
"src": [
{
"id": "<string>",
"version": "0ed2d94b38fb40b9b61f6a",
"mapping": {
"messages": {
"name": "chat_messages",
"type": "column"
},
"type": "text_messages"
}
}
],
"dst": [
{
"id": "<string>",
"version": "0ed2d94b38fb40b9b61f6a"
}
],
"created_at": 123,
"in_progress_at": 1614807352,
"finished_at": 1614807352,
"ai_project_id": "example_project"
}
],
"object": "list"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}datasets
Filter operations by attributes
List operations
GET
/
v1
/
operations
Filter operations by attributes
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
1 <= x <= 100ISO 8601 timestamp used as the pagination cursor
Available options:
yql, materialize_history, batch_inference, finetuning, file_to_dataset, dataset_to_file, merge Was this page helpful?
⌘I